Author Topic: [challenge - C point coordinates]  (Read 2148 times)

0 Members and 1 Guest are viewing this topic.

well20152016

  • Newt
  • Posts: 130
[challenge - C point coordinates]
« on: March 23, 2018, 07:39:53 PM »
[challenge - C point coordinates]
It is known that:
1. space point O
2. point A
3. point B
4. length L
Results: C point coordinates

Lee Mac

  • Seagull
  • Posts: 12906
  • London, England
Re: [challenge - C point coordinates]
« Reply #1 on: March 23, 2018, 08:13:43 PM »
The Cross Product is your friend.  :-)

VovKa

  • Water Moccasin
  • Posts: 1626
  • Ukraine
Re: [challenge - C point coordinates]
« Reply #2 on: March 23, 2018, 08:19:28 PM »
it does not look like a chalenge
OP is just looking for the formula :)

goto https://www.theswamp.org/index.php?topic=37319.msg423645#msg423645
and combine 21.zip with 25.zip

GP

  • Newt
  • Posts: 83
  • Vercelli, Italy
Re: [challenge - C point coordinates]
« Reply #3 on: March 24, 2018, 05:47:48 PM »
(setq C (cal "pld(O,O+nor(A,B,O),L)"))

ahsattarian

  • Newt
  • Posts: 112
Re: [challenge - C point coordinates]
« Reply #4 on: February 01, 2021, 10:11:07 AM »
(setq C (cal "pld(O,O+nor(A,B,O),L)"))
  It was Excellent  !!!    Thanks   I  Used it as :


(defun c:a ()
  (setvar "osmode" 12287)
  (setq p1 (getpoint "\n Base Point : "))
  (setvar "autosnap" 39)
  (setvar "orthomode" 0)
  (setq p2 (getpoint " First Hand : " p1))
  (grdraw p1 p2 2 1)
  (setq p3 (getpoint " Second Hand : " p1))
  (grdraw p1 p3 3 1)
  (cond ((not c:cal) (arxload "geomcal")))
  (setq po (cal "pld(p1,p1+nor(p2,p3,p1),1.0)"))
  (print (acet-geom-unit-vector p1 po))
  (command "3dpoly" p1 p2 p3 p1 po "close")
  (princ)
)




ribarm

  • Gator
  • Posts: 3225
  • Marko Ribar, architect
Re: [challenge - C point coordinates]
« Reply #5 on: June 28, 2022, 12:17:02 AM »
Euler would laugh on this...
Laughing something, but plutonning joking... Or is it ???
Marko Ribar, d.i.a. (graduated engineer of architecture)

:)

M.R. on Youtube